      DIMENSION TITLE1(20),IASYM(3,90000),CELL(6),NPIX(3),ISUB(10,10),
     *RDEN(90000),AIASYM(3,90000),RL(192,9),XJX(129,129,129),IIR(192,9)
     *,IIT(192,3),RR(192,9),TR(192,3),AISUB(20,20),XRAY(129),YRAY(129),
     *X1RAY(500),Y1RAY(500),X2RAY(500),Y2RAY(500),X3RAY(500),Y3RAY(500)
     *,X4RAY(500),Y4RAY(500),X5RAY(500),Y5RAY(500),X6RAY(500),Y6RAY(500
     *),X7RAY(500),Y7RAY(500),X11RAY(500),Y11RAY(500),X22RAY(500),Y22RAY
     *(500),X33RAY(500),Y33RAY(500),X44RAY(500),Y44RAY(500),X55RAY(500),
     *Y55RAY(500),X66RAY(500),Y66RAY(500),X77RAY(500),Y77RAY(500)

       INTEGER KX(129,129,129) 

       COMMON /MYCOM1/ ID_LIS,ID_FIL,ISEL 
       COMMON /MYCOM2/ CLIS

       CHARACTER*80 CLIS,CFIL,TIT1
       CHARACTER*21,LEG1,LEG2,LEG3 
       CALL SWGTIT ('PRI1D_3_WIN Software-created By Dr. R. Saravanan')
      CALL SWGFNT ('COURIER',11)
      CALL SWGHLP ('PRI1D_3 Software-created by|| Dr. R. Saravanan|The M
     *adura College|Madurai - 625 011|website: www.saraxraygroup.net|ema
     *il: saragow@dataone.in|ph.+91 94430 69852||Program to create one-d
     *imensional electron densities from the 3D MEM densities created by
     *the PRIMA (MEM program) of Ruben A. Dilanian and Fujio Izumi, Adva
     *nced Materials Laboratory, National Institute for Materials Scienc
     *e, 1-1 Namiki, Tsukuba, Ibaraki 305-0044, Japan.')
 
       OPEN(32,FILE='EDVALUES')
       CLIS= '100|010|001|110|011|101|111|ALL'
       CFIL=' '

       CALL SWGCLR (0.8,0.1,0.75, 'BACK')
       CALL SWGSIZ (920,500)
       CALL SWGCLR (0.3,0.4,0.2, 'FORE')
       CALL SWGSIZ (900,500)
       CALL SWGPOS(0,500)
       CALL SWGWIN(10,10,920,500)
       CALL SWGCLR (0.8,0.3,0.0, 'BACK')
       CALL SWGCLR (0.3,0.1,0.2, 'FORE')
       CALL WGINI  ('FORM',990)
       CALL SWGCLR (0.8,0.8,0.7, 'BACK')
       CALL SWGSIZ (920,500)
       CALL SWGCLR (0.1,0.2,0.5, 'FORE')
       CALL SWGSIZ (500,600)
       CALL SWGPOS(0,500)
       CALL SWGWIN(0,0,600,20)
       CALL WGBAS (990, 'FORM', 211)

         CALL SWGWIN(460,10,440,300)
         CALL SWGCLR (1.0,1.0,1.0, 'BACK')
         CALL SWGCLR (0.1,0.0,0.0, 'FORE')
         call wgstxt(211,25,200,204)
      call swgtxt(204, 'The input file contains the output (*.den) of th
     *e')
      call swgtxt(204, 'MEM program PRIMA. The *.den file can be created
     *')
      call swgtxt(204,'from the preference file *.prf, by setting the na
     *me')
      call swgtxt(204,'of the 3D density file as *.den and running the b
     *atch')
      call swgtxt(204,'file *.bat.')
      call swgtxt(204,'-------------------------------------------------
     *---')
      call swgtxt(204,'1. First edit the preference file *.prf.')
      call swgtxt(204,'2. Set the electron density file name as *.den.')
      call swgtxt(204,'3. Run successfully the batch file.')
      call swgtxt(204,'(containing "%prima%prima.EXE"\file_name.PRF).')
      call swgtxt(204,'4. The *.den file will be created with other outp
     *uts.')
      call swgtxt(204,'5. This *.den file is the input for this program.
     *')
      call swgtxt(204,'-------------------------------------------------
     *---')

       CALL SWGWIN(80,260,100,170)
       CALL SWGFNT ('ARIAL',20)
       CALL SWGCLR (0.8,0.8,0.8, 'BACK')
       CALL SWGCLR (0.2,0.20,0.50, 'FORE')
       CALL WGLIS  (211, CLIS, 1, 991)

       CALL SWGCLR (0.9,0.8,0.8, 'BACK')
       CALL SWGCLR (0.2,0.0,0.20, 'FORE')
       CALL SWGWIN(200,250,250,20)
       CALL  WGLAB  (211, 'Starting X value', 59)
       CALL WGLTXT (211, ' Starting X value ',' ',50, 59)

       CALL SWGWIN(200,280,250,20)
       CALL  WGLAB  (211, 'Final X value', 60)
       CALL WGLTXT (211, ' Final X value ',' ',50, 60)

       CALL SWGWIN(200,310,250,20)
       CALL  WGLAB  (211, 'Step X value', 61)
       CALL WGLTXT (211, ' Step X value ',' ',50, 61)

       CALL SWGWIN(200,340,250,20)
       CALL  WGLAB  (211, 'Starting Y value', 62)
       CALL WGLTXT (211, ' Starting Y value ',' ',50, 62)

       CALL SWGWIN(200,370,250,20)
       CALL  WGLAB  (211, 'Final Y value', 63)
       CALL WGLTXT (211, ' Final Y value ',' ',50, 63)

       CALL SWGWIN(200,400,250,20)
       CALL  WGLAB  (211, 'Step Y value', 64)
       CALL WGLTXT (211, ' Step Y value ',' ',50, 64)



       CALL SWGWIN(0,10,450,30)
       CALL SWGFNT ('ARIAL',20)
       CALL SWGCLR (0.1,0.99,0.99, 'FORE')
       CALL SWGCLR (0.0,0.0,0.21, 'BACK')
       CALL  WGLAB  (211, 'Give Title ', 48)
       CALL WGLTXT (211, ' Give Title ',' ',80, 48)

       CALL SWGWIN(0,70,450,50)
       CALL SWGFNT ('ARIAL',20)
       CALL SWGCLR (0.1,0.99,0.99, 'FORE')
       CALL SWGCLR (0.0,0.0,0.21, 'BACK')
       CALL  WGLAB  (990, '1. Click  "File" in the menu bar and then  "o
     *pen" to select the " *.den " file.', 1116)

       CALL SWGWIN(0,130,450,50)
       CALL SWGFNT ('ARIAL',20)
       CALL SWGCLR (0.1,0.99,0.99, 'FORE')
       CALL SWGCLR (0.0,0.0,0.21, 'BACK')
       CALL  WGLAB  (990, '2. Select the direction along which the 1D de
     *nsity profile is needed.', 1118)

       CALL SWGWIN(0,190,450,20)
       CALL SWGFNT ('ARIAL',20)
       CALL SWGCLR (0.1,0.99,0.99, 'FORE')
       CALL SWGCLR (0.0,0.0,0.21, 'BACK')
       CALL  WGLAB  (990, '3. Give the Start, End, Step values of X and 
     *Y axes.', 1118)

       CALL SWGWIN(0,220,450,20)
       CALL SWGFNT ('ARIAL',20)
       CALL SWGCLR (0.1,0.99,0.99, 'FORE')
       CALL SWGCLR (0.0,0.0,0.21, 'BACK')
       CALL  WGLAB  (990, '4. Click OK. ', 1118)

       CALL SWGSIZ (150,200)
       CALL SWGPOS(0,0)
       CALL SWGWIN(800,375,100,20)
       CALL WGOK (211, IB1)
       CALL SWGSIZ (150,200)
       CALL SWGPOS(0,200)
       CALL SWGWIN(800,400,100,20)
       CALL WGQUIT (211, IB2)

       CALL SWGWIN(150,200,00,0)
       CALL WGFIL(990, 'Open Any *.den File',' ','*.den',345)
       CALL SWGSIZ (10,20)
       CALL SWGPOS(0,10)
       CALL WGFIN
       CALL GWGFIL(345,CFIL)
       CALL GWGLIS (991, ISEL)
       CALL SWGWIN(170,100,100,20)
       CALL GWGFLT (59,XA)
       CALL GWGFLT (60,XE)
       CALL GWGFLT (61,XSTP)
       CALL GWGFLT (62,YA)
       CALL GWGFLT (63,YE)
       CALL GWGFLT (64,YSTP)
       CALL GWGTXT (48,TIT1)
        XA1=XA
        XA2=XA
        XA3=XA
        YA1=YA
        YA2=YA
        YA3=YA
        XE1=XE
        XE2=XE
        XE3=XE
        YE1=YE
        YE2=YE
        YE3=YE
        XSTP1=XSTP
        XSTP2=XSTP
        XSTP3=XSTP
        YSTP1=YSTP
        YSTP2=YSTP
        YSTP3=YSTP
        WRITE(32,82)TIT1
82      FORMAT(A80)
       OPEN(2,FILE=CFIL)


       OPEN(3,FILE='CHECK')
       OPEN(13,FILE='ALL')
       OPEN(20,FILE='ISYMM')
       PHI=3.141592
       READ(2,22)(TITLE1(I1),I1=1,20)
       WRITE(3,22)(TITLE1(I1),I1=1,20)
22     FORMAT(20A4)
       READ(2,23)NASYM
       WRITE(3,23)NASYM
23     FORMAT(I8)
       READ(2,24)((IASYM(I2,J),I2=1,3),RDEN(J),(IASYM(I2,J+1),I2=1,3),
     *RDEN(J+1),J=1,NASYM,2)
       WRITE(3,24)((IASYM(I2,J),I2=1,3),RDEN(J),(IASYM(I2,J+1),I2=1,3),
     *RDEN(J+1),J=1,NASYM,2)
24     FORMAT(2(3I5,F20.13))
       READ(2,25)(CELL(I3), I3 = 1, 6)
       WRITE(3,25)(CELL(I3), I3 = 1, 6)
25     FORMAT(6F10.5)
       READ(2,26)(NPIX(I4),I4=1,3),NSYM,NCEN,NSUB
       WRITE(3,26)(NPIX(I4),I4=1,3),NSYM,NCEN,NSUB
26     FORMAT(6I5)
       NPX1=NPIX(1)
       NPX2=NPIX(2)
       NPX3=NPIX(3)
       DO 6000 I5=1,NSYM
       READ(2,27)(IIR(I5,J),J=1,9),(IIT(I5,J1),J1=1,3)
       WRITE(3,27)(IIR(I5,J),J=1,9),(IIT(I5,J1),J1=1,3)
27     FORMAT(12I5)
       DO 333 J=1,9
       RR(I5,J)=FLOAT(IIR(I5,J))
333    CONTINUE
       DO 777 J1=1,3
       TR(I5,J1)=FLOAT(IIT(I5,J1))
777    CONTINUE
       TR(I5,1)= TR(I5,1)/FLOAT(NPX1)
       TR(I5,2)= TR(I5,2)/FLOAT(NPX2)
       TR(I5,3)= TR(I5,3)/FLOAT(NPX3)
6000   CONTINUE
C       WRITE(20,277)((RR(I5,J),J=1,9),(TR(I5,J1),J1=1,3),I5=1,NSYM)
277    FORMAT(12F6.2)
       DO 1010 I=1,NASYM
       AIASYM(1,I)=IASYM(1,I)/FLOAT(NPX1)
       AIASYM(2,I)=IASYM(2,I)/FLOAT(NPX2)
       AIASYM(3,I)=IASYM(3,I)/FLOAT(NPX3)
1010   CONTINUE
       READ(2,28)((ISUB(I7,K),I7=1,3),K=1,NSUB)
       WRITE(3,28)((ISUB(I7,K),I7=1,3),K=1,NSUB)
28     FORMAT(3I5)
       DO 2333 K=1,NSUB
       DO 2334 I7=1,3
       AISUB(1,K)=FLOAT(ISUB(1,K))/FLOAT(NPX1)
       AISUB(2,K)=FLOAT(ISUB(2,K))/FLOAT(NPX2)
       AISUB(3,K)=FLOAT(ISUB(3,K))/FLOAT(NPX3)
2334   CONTINUE
2333   CONTINUE
        DO 5555 K =1,NSUB
        DO 4444 I5 = 1,NSYM
         WRITE(20,277)(RR(I5,J),J=1,9),(TR(I5,J1),J1=1,3)
C         WRITE(20,277)(RR(I5,J),J=1,9),(AISUB(I7,K),I7=1,3)
4444   CONTINUE
5555   CONTINUE
       NSYM1=NSYM*NSUB
       CLOSE(20)
       OPEN(20,FILE='ISYMM')
       READ(20,277)((RR(I5,J),J=1,9),(TR(I5,J1),J1=1,3),I5=1,NSYM1)
       CELL(4)=CELL(4)*PHI/180.0
       CELL(5)=CELL(5)*PHI/180.0
       CELL(6)=CELL(6)*PHI/180.0
      DO 700 IX=1,NPX1
      DO 700 IY=1,NPX2
      DO 700 IZ=1,NPX3
      XJX(IX,IY,IZ)=0.0
      KX(IX,IY,IZ)=0
  700 CONTINUE
      STEP1=1.0/NPX1
      STEP2=1.0/NPX2
      STEP3=1.0/NPX3
      DO 1000 I=1,NASYM
      NXX=INT(AIASYM(1,I)/STEP1)+1
      NYY=INT(AIASYM(2,I)/STEP2)+1
      NZZ=INT(AIASYM(3,I)/STEP3)+1
      XJX(NXX,NYY,NZZ)=RDEN(I)
      KX(NXX,NYY,NZZ)=1
      DO 110 IR=1,NSYM1
      DO 120 IM=1,3
      K=3*(IM-1)+1
      RL(IR,IM)=RR(IR,K)*AIASYM(1,I)+RR(IR,K+1)*AIASYM(2,I)+RR(IR,K+2)*
     *AIASYM(3,I)+TR(IR,IM)
      IF (RL(IR,IM).GE.0.0) GO TO 20
      RL(IR,IM)=RL(IR,IM)+1.0
      GO TO 120
 20   CONTINUE
       IF(RL(IR,IM).GE.1.0) RL(IR,IM)=RL(IR,IM)-1.0
  120 CONTINUE 
       IXX=INT(RL(IR,1)/STEP1)+1
       IYY=INT(RL(IR,2)/STEP2)+1
       IZZ=INT(RL(IR,3)/STEP3)+1  
       IF(KX(IXX,IYY,IZZ).GE.1) GO TO 110
       XJX(IXX,IYY,IZZ)=RDEN(I)
       KX(IXX,IYY,IZZ)=1
110    CONTINUE
1000   CONTINUE
       DO 3390 I1=2,NPX1
       DO 3390 J1=2,NPX2
       XJX(I1,J1,NPX3+1)=XJX(I1,J1,1)
 3390  CONTINUE    
       DO 3391 I2=2,NPX1
       DO 3391 K2=2,NPX3
       XJX(I2,NPX2+1,K2)=XJX(I2,1,K2)
 3391 CONTINUE
       DO 3392 J3=2,NPX2
       DO 3392 K3=2,NPX3
       XJX(NPX1+1,J3,K3)=XJX(1,J3,K3)
 3392 CONTINUE

       DO 5390 I1=2,NPX1
       XJX(I1,1,NPX3+1)=XJX(I1,1,1)
 5390 CONTINUE
       DO 8390 I1=2,NPX1
       XJX(I1,NPX3+1,1)=XJX(I1,1,1)
 8390 CONTINUE
       DO 5391 K2=2,NPX2
       XJX(1,K2,NPX3+1)=XJX(1,K2,1)
 5391 CONTINUE
       DO 9391 K2=2,NPX2
       XJX(NPX3+1,K2,1)=XJX(1,K2,1)
 9391 CONTINUE
       DO 5392 J3=2,NPX3
       XJX(NPX1+1,1,J3)=XJX(1,1,J3)
 5392 CONTINUE
       DO 3395 J3=2,NPX3
       XJX(1,NPX1+1,J3)=XJX(1,1,J3)
 3395 CONTINUE


       DO 1393 I2=2,NPX1
       XJX(I2,NPX2+1,NPX3+1)=XJX(I2,1,1)
 1393 CONTINUE
       DO 2393 I21=2,NPX1
       XJX(I21,NPX3+1,NPX2+1)=XJX(I21,1,1)
 2393 CONTINUE
       DO 5393 I22=2,NPX2
       XJX(NPX1+1,I22,NPX3+1)=XJX(1,I22,1)
 5393 CONTINUE
       DO 6393 I23=2,NPX2
       XJX(NPX3+1,I23,NPX1+1)=XJX(1,I23,1)
 6393 CONTINUE
       DO 1397 I24=2,NPX3
       XJX(NPX1+1,NPX2+1,I24)=XJX(1,1,I24)
 1397 CONTINUE
       DO 2397 I25=2,NPX3
       XJX(NPX2+1,NPX1+1,I25)=XJX(1,1,I25)
 2397 CONTINUE

       DO 5397 I5=2,NPX3
       XJX(NPX1+1,NPX2+1,I5)=XJX(1,1,I5)
 5397 CONTINUE
       DO 5398 J2=2,NPX1
       XJX(J2,NPX2+1,NPX3+1)=XJX(J2,1,1)
 5398 CONTINUE
       DO 53981 J7=2,NPX2
       XJX(NPX1+1,J7,NPX3+1)=XJX(1,J7,1)
53981  CONTINUE

       XJX(1,1,NPX3+1)=XJX(1,1,1)
       XJX(1,NPX2+1,1)=XJX(1,1,1)
       XJX(NPX1+1,1,1)=XJX(1,1,1)

       XJX(1,NPX2+1,NPX3+1)=XJX(1,1,1)
       XJX(NPX1+1,1,NPX3+1)=XJX(1,1,1)
       XJX(NPX1+1,NPX2+1,1)=XJX(1,1,1)
       XJX(NPX1+1,NPX2+1,NPX3+1)=XJX(1,1,1)

       IF (ISEL.EQ.1)GO TO 1001
       IF (ISEL.EQ.2)GO TO 1012
       IF (ISEL.EQ.3)GO TO 1003
       IF (ISEL.EQ.4)GO TO 1004
       IF (ISEL.EQ.5)GO TO 1005
       IF (ISEL.EQ.6)GO TO 1006
       IF (ISEL.EQ.7)GO TO 1007
       IF (ISEL.EQ.8)GO TO 1008
       GO TO 9877

1007   CONTINUE
       OPEN(12,FILE='111')
       DO 4203 IX=1,NPX3+1
       X=SQRT((CELL(1)*STEP1)**2+(CELL(2)*STEP2)**2+(CELL(3)*STEP3)**
     *2)*REAL(IX-1)
       XRAY(IX)=X
       YRAY(IX)=XJX(IX,IX,IX)
       WRITE(12,1002) X,XJX(IX,IX,IX)
       WRITE(13,1002) X,XJX(IX,IX,IX)
 1002  FORMAT(1X,F10.7,E14.6)
 4203  CONTINUE
       YSMALL1=YRAY(1)
       DO 2300 IX=1,NPX3+1
       IF(YRAY(IX).EQ.0.0)GO TO 2300
       CONTINUE
       IF(YRAY(IX).LE.YSMALL1)GO TO 2301
       GO TO 2300
2301   YSMALL1=YRAY(IX)
       XSMALL1=XRAY(IX)
2300   CONTINUE
 
       GO TO 9877

1004   CONTINUE
       OPEN(9,FILE='110')
       DO 4211 IX1=1,NPX2+1
       X=SQRT((CELL(1)*STEP1)**2+(CELL(2)*STEP2)**2)*REAL(IX1-1)
       XRAY(IX1)=X
       YRAY(IX1)=XJX(IX1,IX1,1)
       WRITE(9,1002) X,XJX(IX1,IX1,1)
       WRITE(13,1002) X,XJX(IX1,IX1,1)
4211   CONTINUE
       YSMALL2=YRAY(1)
       DO 2400 IX1=1,NPX2+1
       IF(YRAY(IX1).EQ.0.0)GO TO 2400
       CONTINUE
       IF(YRAY(IX1).LE.YSMALL2)GO TO 2401
       GO TO 2400
2401   YSMALL2=YRAY(IX1)
       XSMALL2=XRAY(IX1)
2400   CONTINUE
       GO TO 9877

1005   CONTINUE
       OPEN(10,FILE='011')
       DO 4215 IX1=1,NPX2+1
       X=SQRT((CELL(2)*STEP2)**2+(CELL(3)*STEP3)**2)*REAL(IX1-1)
       XRAY(IX1)=X
       YRAY(IX1)=XJX(1,IX1,IX1)
       WRITE(10,1002) X,XJX(1,IX1,IX1)
       WRITE(13,1002) X,XJX(1,IX1,IX1)
4215   CONTINUE
       YSMALL3=YRAY(1)
       DO 2500 IX1=1,NPX2+1
       IF(YRAY(IX1).EQ.0.0)GO TO 2500
       CONTINUE
       IF(YRAY(IX1).LE.YSMALL3)GO TO 2501
       GO TO 2500
2501   YSMALL3=YRAY(IX1)
       XSMALL3=XRAY(IX1)
2500   CONTINUE
       GO TO 9877

1006   CONTINUE
       OPEN(11,FILE='101')
       DO 4216 IX1=1,NPX3+1
       X=SQRT((CELL(1)*STEP1)**2+(CELL(3)*STEP3)**2)*REAL(IX1-1)
       XRAY(IX1)=X
       YRAY(IX1)=XJX(IX1,1,IX1)
       WRITE(11,1002) X,XJX(IX1,1,IX1)
       WRITE(13,1002) X,XJX(IX1,1,IX1)
4216   CONTINUE
       YSMALL4=YRAY(1)
       DO 2600 IX1=1,NPX3+1
       IF(YRAY(IX1).EQ.0.0)GO TO 2600
       CONTINUE
       IF(YRAY(IX1).LE.YSMALL4)GO TO 2601
       GO TO 2600
2601   YSMALL4=YRAY(IX1)
       XSMALL4=XRAY(IX1)
2600   CONTINUE
       GO TO 9877

1001   CONTINUE
       OPEN(4,FILE='100')
       DO 4212 IX2=1,NPX1+1
       X=CELL(1)*STEP1*REAL(IX2-1)
       XRAY(IX2)=X
       YRAY(IX2)=XJX(IX2,1,1)
       WRITE(4,1002) X,XJX(IX2,1,1)
       WRITE(13,1002) X,XJX(IX2,1,1)
4212   CONTINUE
       YSMALL5=YRAY(1)
       DO 2700 IX2=1,NPX1+1
       IF(YRAY(IX2).EQ.0.0)GO TO 2700
       CONTINUE
       IF(YRAY(IX2).LE.YSMALL5)GO TO 2701
       GO TO 2700
2701   YSMALL5=YRAY(IX2)
       XSMALL5=XRAY(IX2)
2700   CONTINUE
       GO TO 9877

1012   CONTINUE
       OPEN(7,FILE='010')
       DO 4213 IX2=1,NPX2+1
       X=CELL(2)*STEP2*REAL(IX2-1)
       XRAY(IX2)=X
       YRAY(IX2)=XJX(1,IX2,1)      
       WRITE(7,1002) X,XJX(1,IX2,1)
       WRITE(13,1002) X,XJX(1,IX2,1)
4213   CONTINUE
       YSMALL6=YRAY(1)
       DO 2800 IX2=1,NPX2+1
       IF(YRAY(IX2).EQ.0.0)GO TO 2800
       CONTINUE
       IF(YRAY(IX2).LE.YSMALL6)GO TO 2801
       GO TO 2800
2801   YSMALL6=YRAY(IX2)
       XSMALL6=XRAY(IX2)
2800   CONTINUE
       GO TO 9877 

1003   CONTINUE
       OPEN(8,FILE='001')
       DO 4214 IX2=1,NPX3+1
       X=CELL(3)*STEP3*REAL(IX2-1)
       XRAY(IX2)=X
       YRAY(IX2)=XJX(1,1,IX2)
       WRITE(8,1002) X,XJX(1,1,IX2)
       WRITE(13,1002) X,XJX(1,1,IX2)
4214   CONTINUE
       YSMALL7=YRAY(1)
       DO 2900 IX2=1,NPX3+1
       IF(YRAY(IX2).EQ.0.0)GO TO 2900
       CONTINUE
       IF(YRAY(IX2).LE.YSMALL7)GO TO 2901
       GO TO 2900
2901   YSMALL7=YRAY(IX2)
       XSMALL7=XRAY(IX2)
2900   CONTINUE
       GO TO 9877 
      WRITE(32,*)('FIRST MINIMUM ELECTRON DENSITIES')

9877   continue
      WRITE(32,*)('-----------------------------------------------------
     *--')
      WRITE(32,*)('DIRECTION     DISTANCE (A)     ELECTRON DENSITY (e/A* 
     **3)')
      WRITE(32,*)('-----------------------------------------------------
     *--')
       WRITE(32,2525)XSMALL1,YSMALL1,XSMALL2,YSMALL2,XSMALL3,YSMALL3,XS 
     *MALL4,YSMALL4,XSMALL5,YSMALL5,XSMALL6,YSMALL6,XSMALL7,YSMALL7
2525     FORMAT(1X,'    1 1 1 ',F11.4,8X,F9.4,/,1X,'    1 1 0 ',F11.4,8X
     *,F9.4,/,1X,'    0 1 1 ',F11.4,8X,F9.4,/,1X,'    1 0 1 ',F11.4,8X,F
     *9.4,/,1X,'    1 0 0 ',F11.4,8X,F9.4,/,1X,'    0 1 0 ',F11.4,8X,F9.
     *4,/,1X,'    0 0 1 ',F11.4,8X,F9.4)

        N=0
       CLOSE(4)
       CLOSE(2)
       CLOSE(3)
       CLOSE(7)
       CLOSE(8)
       CLOSE(9)
       CLOSE(10)
       CLOSE(11)
       CLOSE(12)
       CLOSE(13)
       CLOSE(20)

        OPEN(13,FILE='ALL')

        OPEN(13,FILE='ALL')
2123    READ (13,1002,END=2121)XRAY(I),YRAY(I)
        WRITE (6,1002)XRAY(I),YRAY(I)
        N=N+1
        GO TO 2123
 2121   CONTINUE
        CALL METAFL ('XWIN') 
        CALL X11MOD ('AUTO')
        CALL WINDOW (0, 0, 700, 700)
        CALL WINSIZ (600, 470)
C        CALL WINAPP ('WINDOW')
        CALL FILMOD ('DELETE')
        CALL SCRMOD ('REVERS')
        CALL DISINI
        CALL PAGERA
        CALL HWFONT
        CALL AXSPOS(450,1800)
        CALL AXSLEN(2200,1200)
C        CALL COLOR('BLUE')
        CALL LABDIG(1,'X')
        CALL TICKS(5,'XY')
        CALL TITLIN('1D Electron Density Profile',1)
C        CALL SMXALF ('GREEK', 'A', 'A', 1)
C        CALL BASALF ('GREEK')
C        CALL PSMODE ('GERMAN')
        CALL EUSHFT ('DANISH','A')
        CALL SMXALF ('INSTRUCTION', A, A,1)
        CALL NAME('Distance (in AA)','X')
        CALL MIXALF
        CALL SETBAS (0.6)
        CALL NAME('Electron Density (e/AA[3)','Y')
        CALL HSYMBL (25)
        CALL CIRCLE (1150, 1150, 1)
C        CALL SETSCL(XRAY,N,'X')
C        CALL SETSCL(YRAY,N,'Y')
C        CALL GRAF(0.,4.,0.,0.5,0.,2.,0.,2.0)
         CALL SYMBOL (2, nx,ny)
         CALL INCMRK(1)
        CALL GRAF(XA,XE,XOR,XSTP,YA,YE,YOR,YSTP)
        CALL TITLE
C        CALL COLOR('RED')
        CALL CURVE(XRAY,YRAY,N)
        CALL COLOR('FORE')
        CALL DASH
        CALL XAXGIT
        CALL DISFIN


        CALL SETFIL('1DGRP.PDF')
        CALL SETXID(2,'WINDOW')
        CALL FILMOD ('DELETE')
        CALL SCRMOD ('REVERS')
        CALL METAFL ('PDF')  
        CALL DISINI
        CALL PAGERA
        CALL HWFONT
        CALL AXSPOS(450,1800)
        CALL AXSLEN(2200,1200)
        CALL SETRGB(0.0,0.0,0.0)
C        CALL COLOR('BLUE')
        CALL LABDIG(1,'X')
        CALL TICKS(5,'XY')
        CALL TITLIN('1D Electron Density Profile',1)
C        CALL SMXALF ('GREEK', 'A', 'A', 1)
C        CALL BASALF ('GREEK')
C        CALL PSMODE ('GERMAN')
        CALL EUSHFT ('DANISH','A')
        CALL SMXALF ('INSTRUCTION', A, A,1)
        CALL NAME('Distance (in AA)','X')
        CALL MIXALF
        CALL SETBAS (0.6)
        CALL NAME('Electron Density (e/AA[3)','Y')
        CALL HSYMBL (25)
        CALL CIRCLE (1150, 1150, 1)
C        CALL SETSCL(XRAY,N,'X')
C        CALL SETSCL(YRAY,N,'Y')
C        CALL GRAF(0.,4.,0.,0.5,0.,2.,0.,2.0)
         CALL SYMBOL (3, nx,ny)
         CALL INCMRK(1)
        CALL GRAF(XA1,XE1,XOR1,XSTP1,YA1,YE1,YOR1,YSTP1)
        CALL TITLE
        CALL  SETRGB(0.0,0.0,0.0)
C        CALL COLOR('RED')
        CALL CURVE(XRAY,YRAY,N)
        CALL COLOR('FORE')
        CALL DASH
        CALL XAXGIT
         CALL GETFIL('1DGRP.PDF')
         CALL GETXID(2,'WINDOW')
        CALL DISFIN
 

        CALL SETFIL('1DGRP.BMP')
        CALL SETXID(9,'WINDOW')
        CALL FILMOD ('DELETE')
        CALL SCRMOD ('REVERS')
        CALL METAFL ('BMP')  
        CALL DISINI
        CALL PAGERA
        CALL HWFONT
        CALL AXSPOS(450,1800)
        CALL AXSLEN(2200,1200)
        CALL SETRGB(0.0,0.0,0.0)
C        CALL COLOR('BLUE')
        CALL LABDIG(1,'X')
        CALL TICKS(5,'XY')
        CALL TITLIN('1D Electron Density Profile',1)
C        CALL SMXALF ('GREEK', 'A', 'A', 1)
C        CALL BASALF ('GREEK')
C        CALL PSMODE ('GERMAN')
        CALL EUSHFT ('DANISH','A')
        CALL SMXALF ('INSTRUCTION', A, A,1)
        CALL NAME('Distance (in AA)','X')
        CALL MIXALF
        CALL SETBAS (0.6)
        CALL NAME('Electron Density (e/AA[3)','Y')
        CALL HSYMBL (25)
        CALL CIRCLE (1150, 1150, 1)
C        CALL SETSCL(XRAY,N,'X')
C        CALL SETSCL(YRAY,N,'Y')
C        CALL GRAF(0.,4.,0.,0.5,0.,2.,0.,2.0)
         CALL SYMBOL (3, nx,ny)
         CALL INCMRK(1)
        CALL GRAF(XA1,XE1,XOR1,XSTP1,YA1,YE1,YOR1,YSTP1)
        CALL TITLE
        CALL  SETRGB(0.0,0.0,0.0)
C        CALL COLOR('RED')
        CALL CURVE(XRAY,YRAY,N)
        CALL COLOR('FORE')
        CALL DASH
        CALL XAXGIT
         CALL GETFIL('1DGRP.BMP')
         CALL GETXID(9,'WINDOW')
        CALL DISFIN





         GO TO 7799

1008   CONTINUE

       OPEN(19,FILE='G1')
       OPEN(21,FILE='G2')
       OPEN(22,FILE='G3')
       OPEN(23,FILE='G4')
       OPEN(24,FILE='G5')
       OPEN(25,FILE='G6')
       OPEN(26,FILE='G7')

        N1=0
        N2=0
        N3=0
        N4=0
        N5=0
        N6=0
        N7=0

       DO 1203 IX=1,NPX3+1
       X=SQRT((CELL(1)*STEP1)**2+(CELL(2)*STEP2)**2+(CELL(3)*STEP3)**
     *2)*REAL(IX-1)
       X1RAY(IX)=X
       Y1RAY(IX)=XJX(IX,IX,IX)
       WRITE(19,1002) X,XJX(IX,IX,IX)
 1203  CONTINUE
       N1=NPX3+1
       YSMALL11=Y1RAY(1)
       DO 29001 IX=1,NPX3+1
       IF(Y1RAY(IX).EQ.0.0)GO TO 29001
       CONTINUE
       IF(Y1RAY(IX).LE.YSMALL11)GO TO 29011
       GO TO 29001
29011   YSMALL11=Y1RAY(IX)
        XSMALL11=X1RAY(IX)
29001   CONTINUE


       DO 1211 IX1=1,NPX2+1
       X=SQRT((CELL(1)*STEP1)**2+(CELL(2)*STEP2)**2)*REAL(IX1-1)
       X2RAY(IX1)=X
       Y2RAY(IX1)=XJX(IX1,IX1,1)
       WRITE(21,1002) X,XJX(IX1,IX1,1)
1211   CONTINUE
       N2=NPX2+1
       YSMALL22=Y2RAY(1)
       DO 49001 IX1=1,NPX2+1
       IF(Y2RAY(IX1).EQ.0.0)GO TO 49001
       CONTINUE
       IF(Y2RAY(IX1).LE.YSMALL22)GO TO 49011
       GO TO 49001
49011   YSMALL22=Y2RAY(IX1)
       XSMALL22=X2RAY(IX1)
49001   CONTINUE

       DO 1215 IX1=1,NPX2+1
       X=SQRT((CELL(2)*STEP2)**2+(CELL(3)*STEP3)**2)*REAL(IX1-1)
       X3RAY(IX1)=X
       Y3RAY(IX1)=XJX(1,IX1,IX1)
       WRITE(22,1002) X,XJX(1,IX1,IX1)
1215   CONTINUE
       N3=NPX2+1
       YSMALL33=Y3RAY(1)
       DO 52900 IX1=1,NPX2+1
       IF(Y3RAY(IX1).EQ.0.0)GO TO 52900
       CONTINUE
       IF(Y3RAY(IX1).LE.YSMALL33)GO TO 52901
       GO TO 52900
52901   YSMALL33=Y3RAY(IX1)
        XSMALL33=X3RAY(IX1)
52900   CONTINUE

       DO 1216 IX1=1,NPX3+1
       X=SQRT((CELL(1)*STEP1)**2+(CELL(3)*STEP3)**2)*REAL(IX1-1)
       X4RAY(IX1)=X
       Y4RAY(IX1)=XJX(IX1,1,IX1)
       WRITE(23,1002) X,XJX(IX1,1,IX1)
1216   CONTINUE
       N4=NPX3+1
       YSMALL44=Y4RAY(1)
       DO 62900 IX1=1,NPX3+1
       IF(Y4RAY(IX1).EQ.0.0)GO TO 62900
       CONTINUE
       IF(Y4RAY(IX1).LE.YSMALL44)GO TO 62901
       GO TO 62900
62901   YSMALL44=Y4RAY(IX1)
       XSMALL44=X4RAY(IX1)
62900   CONTINUE

       DO 1212 IX2=1,NPX1+1
       X=CELL(1)*STEP1*REAL(IX2-1)
       X5RAY(IX2)=X
       Y5RAY(IX2)=XJX(IX2,1,1)
       WRITE(24,1002) X,XJX(IX2,1,1)
1212   CONTINUE
       N5=NPX1+1
       YSMALL55=Y5RAY(1)
       DO 72900 IX2=1,NPX1+1
       IF(Y5RAY(IX2).EQ.0.0)GO TO 72900
       CONTINUE
       IF(Y5RAY(IX2).LE.YSMALL55)GO TO 72901
       GO TO 72900
72901   YSMALL55=Y5RAY(IX2)
       XSMALL55=X5RAY(IX2)
72900   CONTINUE

       DO 1213 IX2=1,NPX2+1
       X=CELL(2)*STEP2*REAL(IX2-1)
       X6RAY(IX2)=X
       Y6RAY(IX2)=XJX(1,IX2,1)      
       WRITE(25,1002) X,XJX(1,IX2,1)
1213   CONTINUE
       N6=NPX2+1

       YSMALL66=Y6RAY(1)
       DO 82900 IX2=1,NPX2+1
       IF(Y6RAY(IX2).EQ.0.0)GO TO 82900
       CONTINUE
       IF(Y6RAY(IX2).LE.YSMALL66)GO TO 82901
       GO TO 82900
82901   YSMALL66=Y6RAY(IX2)
       XSMALL66=X6RAY(IX2)
82900   CONTINUE

       DO 1214 IX2=1,NPX3+1
       X=CELL(3)*STEP3*REAL(IX2-1)
       X7RAY(IX2)=X
       Y7RAY(IX2)=XJX(1,1,IX2)
       WRITE(26,1002) X,XJX(1,1,IX2)
1214   CONTINUE
       N7=NPX3+1

       YSMALL77=Y7RAY(1)
       DO 92900 IX2=1,NPX3+1
       IF(Y7RAY(IX2).EQ.0.0)GO TO 92900
       CONTINUE
       IF(Y7RAY(IX2).LE.YSMALL77)GO TO 92901
       GO TO 92900
92901   YSMALL77=Y7RAY(IX2)
       XSMALL77=X7RAY(IX2)
92900   CONTINUE
      WRITE(32,*)('FIRST MINIMUM ELECTRON DENSITIES')
      WRITE(32,*)('-----------------------------------------------------
     *--')
      WRITE(32,*)('DIRECTION     DISTANCE (A)     ELECTRON DENSITY (e/A* 
     **3)')
      WRITE(32,*)('-----------------------------------------------------
     *--')
       WRITE(32,2525)XSMALL11,YSMALL11,XSMALL22,YSMALL22,XSMALL33,YSMALL
     *33,XSMALL44,YSMALL44,XSMALL55,YSMALL55,XSMALL66,YSMALL66,XSMALL77,
     *YSMALL77
       
       CLOSE(19)
       CLOSE(21)
       CLOSE(22)
       CLOSE(23)
       CLOSE(24)
       CLOSE(25)
       CLOSE(26)
       CLOSE(4)
       CLOSE(2)
       CLOSE(3)
       CLOSE(7)
       CLOSE(8)
       CLOSE(9)
       CLOSE(10)
       CLOSE(11)
       CLOSE(12)
       CLOSE(13)
       CLOSE(20)
 
 
        OPEN(19,FILE='G1')
        OPEN(21,FILE='G2')
        OPEN(22,FILE='G3')
        OPEN(23,FILE='G4')
        OPEN(24,FILE='G5')
        OPEN(25,FILE='G6')
        OPEN(26,FILE='G7')

        NN1=0
        NN2=0
        NN3=0
        NN4=0
        NN5=0
        NN6=0
        NN7=0

        READ (19,1002)(X1RAY(I1),Y1RAY(I1),I1=1,N1)
        WRITE (6,1002)(X1RAY(I1),Y1RAY(I1),I1=1,N1)

        READ (21,1002)(X2RAY(I2),Y2RAY(I2),I2=1,N2)
        WRITE (6,1002)(X2RAY(I2),Y2RAY(I2),I2=1,N2)
 
        READ (22,1002)(X3RAY(I3),Y3RAY(I3),I3=1,N3)
        WRITE (6,1002)(X3RAY(I3),Y3RAY(I3),I3=1,N3)

        READ (23,1002)(X4RAY(I4),Y4RAY(I4),I4=1,N4)
        WRITE (6,1002)(X4RAY(I4),Y4RAY(I4),I4=1,N4)
 
        READ (24,1002)(X5RAY(I5),Y5RAY(I5),I5=1,N5)
        WRITE (6,1002)(X5RAY(I5),Y5RAY(I5),I5=1,N5)
 
        READ (25,1002)(X6RAY(I6),Y6RAY(I6),I6=1,N6)
        WRITE (6,1002)(X6RAY(I6),Y6RAY(I6),I6=1,N6)

        READ (26,1002)(X7RAY(I7),Y7RAY(I7),I7=1,N7)
        WRITE (6,1002)(X7RAY(I7),Y7RAY(I7),I7=1,N7)

        DO 12345 I1=1,N1
        IF (Y1RAY(I1).NE.0.0)GO TO 549
        GO TO 12345
549     NN1=NN1+1
        Y11RAY(NN1)=Y1RAY(I1)
        X11RAY(NN1)=X1RAY(I1)
12345   CONTINUE
 
        DO 1345 I2=1,N2
        IF (Y2RAY(I2).NE.0.0)GO TO 5491
        GO TO 1345
5491    NN2=NN2+1
       Y22RAY(NN2)=Y2RAY(I2)
        X22RAY(NN2)=X2RAY(I2)
1345   CONTINUE

        DO 4445 I3=1,N3
        IF (Y3RAY(I3).NE.0.0)GO TO 4491
        GO TO 4445
4491    NN3=NN3+1
        Y33RAY(NN3)=Y3RAY(I2)
        X33RAY(NN3)=X3RAY(I2)
4445   CONTINUE

        DO 2445 I4=1,N4
        IF (Y4RAY(I4).NE.0.0)GO TO 2491
        GO TO 2445
2491     NN4=NN4+1
        Y44RAY(NN4)=Y4RAY(I4)
        X44RAY(NN4)=X4RAY(I4)
2445   CONTINUE

        DO 1445 I5=1,N5
        IF (Y5RAY(I5).NE.0.0)GO TO 1491
        GO TO 1445
1491    NN5=NN5+1
        Y55RAY(NN5)=Y5RAY(I5)
        X55RAY(NN5)=X5RAY(I5)
1445   CONTINUE

        DO 8445 I6=1,N6
        IF (Y6RAY(I6).NE.0.0)GO TO 8491
        GO TO 8445
8491    NN6=NN6+1
        Y66RAY(NN6)=Y6RAY(I6)
        X66RAY(NN6)=X6RAY(I6)
8445   CONTINUE

        DO 9445 I7=1,N7
        IF (Y7RAY(I7).NE.0.0)GO TO 9491
        GO TO 9445
9491    NN7=NN7+1
        Y77RAY(NN7)=Y7RAY(I7)
        X77RAY(NN7)=X7RAY(I7)
9445   CONTINUE

        XA1=XA
        XA2=XA
        XA3=XA
        XA4=XA
        YA1=YA
        YA2=YA
        YA3=YA
        YA4=YA
        XE1=XE
        XE2=XE
        XE3=XE
        XE4=XE
        YE1=YE
        YE2=YE
        YE3=YE
        YE4=YE
        XSTP1=XSTP
        XSTP2=XSTP
        XSTP3=XSTP
        XSTP4=XSTP
        YSTP1=YSTP
        YSTP2=YSTP
        YSTP3=YSTP
        YSTP4=YSTP
        CALL METAFL ('XWIN') 
        CALL X11MOD ('AUTO')
        CALL WINDOW (0, 0, 700, 700)
        CALL WINSIZ (600, 470)
C        CALL WINAPP ('WINDOW')
        CALL FILMOD ('DELETE')
        CALL SCRMOD ('REVERS')
        CALL DISINI
        CALL PAGERA
        CALL HWFONT
        CALL AXSPOS(450,1800)
        CALL AXSLEN(2200,1200)
C        CALL COLOR('BLUE')
        CALL SETRGB(0.0,0.0,0.0)
        CALL LABDIG(1,'X')
        CALL TICKS(5,'XY')
        CALL TITLIN('1D Electron Density Profile',1)
        CALL EUSHFT ('DANISH','A')
        CALL NAME('Distance (in AA)','X')
        CALL MIXALF
        CALL SETBAS (0.6)
        CALL NAME('Electron Density (e/AA[3)','Y')
        CALL HSYMBL (25)
        CALL CIRCLE (1150, 1150, 1)
C        CALL SETSCL(X1RAY,N1,'X1')
C        CALL SETSCL(Y1RAY,N1,'Y1')
C        CALL GRAF(0.,4.,0.,0.5,0.,2.,0.,2.0)
         CALL SYMBOL (4, 30,30)
         CALL INCMRK(1)
        CALL GRAF(XA2,XE2,XOR2,XSTP2,YA2,YE2,YOR2,YSTP2)
        CALL TITLE
C        CALL COLOR('RED')
        CALL CURVE(X11RAY,Y11RAY,NN1)
C        CALL CURVE(X22RAY,Y22RAY,NN2)
        CALL CURVE(X33RAY,Y33RAY,NN3)
        CALL CURVE(X44RAY,Y44RAY,NN4)
        CALL CURVE(X55RAY,Y55RAY,NN5)
C        CALL CURVE(X66RAY,Y66RAY,NN6)
        CALL CURVE(X77RAY,Y77RAY,NN7)
        CALL COLOR('FORE')
        CALL DASH
        CALL XAXGIT
        CALL LEGINI(LEG1,5,3)
        CALL LEGLIN(LEG1,'111',1)
        CALL INCMRK(1)
        CALL MARKER(5)
C        CALL LEGLIN(LEG1,'110',2)
        CALL LEGLIN(LEG1,'011',2)
        CALL LEGLIN(LEG1,'101',3)
        CALL LEGLIN(LEG1,'100',4)
C        CALL LEGLIN(LEG1,'010',5)
        CALL LEGLIN(LEG1,'001',5)
        CALL LEGEND(LEG1,3)
        CALL LEGTIT('LEGEND')
        CALL DISFIN

        CALL SETXID(7,'WINDOW')
        CALL SETFIL('1DGRPALL.PDF')
        CALL METAFL ('PDF') 
        CALL WINDOW (0, 0, 500, 500)
        CALL WINSIZ (500, 370)
        CALL FILMOD ('DELETE')
        CALL SCRMOD ('REVERS')
        CALL DISINI
        CALL PAGERA
        CALL HWFONT
        CALL AXSPOS(450,1800)
        CALL AXSLEN(2200,1200)
        CALL SETRGB(0.0,0.0,0.0)
        CALL LABDIG(1,'X')
        CALL TICKS(5,'XY')
        CALL TITLIN('1D Electron Density Profile',1)
        CALL EUSHFT ('DANISH','A')
        CALL NAME('Distance (in AA)','X')
        CALL MIXALF
        CALL SETBAS (0.6)
        CALL NAME('Electron Density (e/AA[3)','Y')
        CALL HSYMBL (25)
        CALL CIRCLE (1150, 1150, 1)
         CALL SYMBOL (5,30,30)
        CALL INCMRK(1)
        CALL MARKER(5)
        CALL GRAF(XA3,XE3,XOR3,XSTP3,YA3,YE3,YOR3,YSTP3)
        CALL TITLE
        CALL CURVE(X11RAY,Y11RAY,NN1)
C        CALL CURVE(X22RAY,Y22RAY,NN2)
        CALL CURVE(X33RAY,Y33RAY,NN3)
        CALL CURVE(X44RAY,Y44RAY,NN4)
        CALL CURVE(X55RAY,Y55RAY,NN5)
C        CALL CURVE(X66RAY,Y66RAY,NN6)
        CALL CURVE(X77RAY,Y77RAY,NN7)
        CALL COLOR('FORE')
        CALL DASH
        CALL XAXGIT
        CALL LEGINI(LEG2,5,3)
        CALL LEGLIN(LEG2,'111',1)
C        CALL LEGLIN(LEG2,'110',2)
        CALL LEGLIN(LEG2,'011',2)
        CALL LEGLIN(LEG2,'101',3)
        CALL LEGLIN(LEG2,'100',4)
C        CALL LEGLIN(LEG2,'010',5)
        CALL LEGLIN(LEG2,'001',5)
        CALL LEGEND(LEG2,3)
        CALL LEGTIT('LEGEND')
        CALL GETXID(7,'WINDOW')
        CALL GETFIL('1DGRPALL.PDF')
        CALL DISFIN


        CALL SETXID(8,'WINDOW')
        CALL SETFIL('1DGRPALL.BMP')
        CALL METAFL ('BMP') 
        CALL WINDOW (0, 0, 500, 500)
        CALL WINSIZ (500, 370)
        CALL FILMOD ('DELETE')
        CALL SCRMOD ('REVERS')
        CALL DISINI
        CALL PAGERA
        CALL HWFONT
        CALL AXSPOS(450,1800)
        CALL AXSLEN(2200,1200)
        CALL SETRGB(0.0,0.0,0.0)
        CALL LABDIG(1,'X')
        CALL TICKS(5,'XY')
        CALL TITLIN('1D Electron Density Profile',1)
        CALL EUSHFT ('DANISH','A')
        CALL NAME('Distance (in AA)','X')
        CALL MIXALF
        CALL SETBAS (0.6)
        CALL NAME('Electron Density (e/AA[3)','Y')
        CALL HSYMBL (25)
        CALL CIRCLE (1150, 1150, 1)
         CALL SYMBOL (5, 30,30)
        CALL INCMRK(1)
        CALL MARKER(5)
        CALL GRAF(XA4,XE4,XOR4,XSTP4,YA4,YE4,YOR4,YSTP4)
        CALL TITLE
        CALL CURVE(X11RAY,Y11RAY,NN1)
C        CALL CURVE(X22RAY,Y22RAY,NN2)
        CALL CURVE(X33RAY,Y33RAY,NN3)
        CALL CURVE(X44RAY,Y44RAY,NN4)
        CALL CURVE(X55RAY,Y55RAY,NN5)
C        CALL CURVE(X66RAY,Y66RAY,NN6)
        CALL CURVE(X77RAY,Y77RAY,NN7)
        CALL COLOR('FORE')
        CALL DASH
        CALL XAXGIT
        CALL LEGINI(LEG3,5,3)
        CALL LEGLIN(LEG3,'111',1)
C        CALL LEGLIN(LEG3,'110',2)
        CALL LEGLIN(LEG3,'011',2)
        CALL LEGLIN(LEG3,'101',3)
        CALL LEGLIN(LEG3,'100',4)
C        CALL LEGLIN(LEG3,'010',5)
        CALL LEGLIN(LEG3,'001',5)
        CALL LEGEND(LEG3,3)
        CALL LEGTIT('LEGEND')
        CALL GETXID(8,'WINDOW')
        CALL GETFIL('1DGRPALL.BMP')
        CALL DISFIN
7799    CONTINUE
        CLOSE(19)
        CLOSE(21)
        CLOSE(22)
        CLOSE(23)
        CLOSE(24)
        CLOSE(25)
        CLOSE(26)
        STOP
        END
 